package com.gmail.nossr50.config.hocon.antiexploit;

import ninja.leaping.configurate.objectmapping.Setting;
import ninja.leaping.configurate.objectmapping.serialize.ConfigSerializable;

@ConfigSerializable
public class ConfigExploitPrevention {

    /*
     * CONFIG NODES
     */

    @Setting(value = "General", comment = "Exploit settings that don't fit into specific categories")
    private ConfigSectionGeneral configSectionGeneral = new ConfigSectionGeneral();

    @Setting(value = "Skills", comment = "Exploit settings for specific skills")
    private ConfigSectionExploitSkills configSectionExploitSkills = new ConfigSectionExploitSkills();

    public boolean getEndermenEndermiteFix() {
        return configSectionGeneral.getEndermenEndermiteFix();
    }

    public boolean doPistonsMarkBlocksUnnatural() {
        return configSectionGeneral.doPistonsMarkBlocksUnnatural();
    }

    public boolean doSpawnedEntitiesGiveModifiedXP() {
        return configSectionGeneral.doSpawnedEntitiesGiveModifiedXP();
    }

    public boolean doTamedEntitiesGiveXP() {
        return configSectionGeneral.doTamedEntitiesGiveXP();
    }

    public ConfigSectionGeneral getConfigSectionGeneral() {
        return configSectionGeneral;
    }

    public ConfigSectionExploitSkills getConfigSectionExploitSkills() {
        return configSectionExploitSkills;
    }

    public ConfigSectionExploitAcrobatics getConfigSectionExploitAcrobatics() {
        return configSectionExploitSkills.getConfigSectionExploitAcrobatics();
    }

    public ConfigSectionExploitFishing getConfigSectionExploitFishing() {
        return configSectionExploitSkills.getConfigSectionExploitFishing();
    }
}
